package org.springblade.smartapplication.carenterrecord.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import org.springblade.smartapplication.carenterrecord.entity.CarEnterRecord;
import org.springblade.smartapplication.caroutrecord.entity.CarOutRecord;

import java.util.List;

@Data
public class QueryVO {
	private Page<CarEnterRecord> enterList;
	private Page<CarOutRecord> outList;


	public static final class QueryVOBuilder {
		private Page<CarEnterRecord> enterList;
		private Page<CarOutRecord> outList;

		public QueryVOBuilder() {
		}

		public static QueryVOBuilder aQueryVO() {
			return new QueryVOBuilder();
		}

		public QueryVOBuilder withEnterList(Page<CarEnterRecord> enterList) {
			this.enterList = enterList;
			return this;
		}

		public QueryVOBuilder withOutList(Page<CarOutRecord> outList) {
			this.outList = outList;
			return this;
		}

		public QueryVO build() {
			QueryVO queryVO = new QueryVO();
			queryVO.setEnterList(enterList);
			queryVO.setOutList(outList);
			return queryVO;
		}
	}
}
